Update a group of line items
curl --request POST \
--url https://api.hubapi.com/crm-objects/v1/objects/line_items/batch-createimport requests
url = "https://api.hubapi.com/crm-objects/v1/objects/line_items/batch-create"
response = requests.post(url)
print(response.text)const options = {method: 'POST'};
fetch('https://api.hubapi.com/crm-objects/v1/objects/line_items/batch-create', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"name": "hs_product_id",
"value": "1645342"
},
{
"name": "quantity",
"value": "25"
},
{
"name": "name",
"value": "A custom name for the product for this line item."
},
{
"name": "hs_product_id",
"value": "1645187"
},
{
"name": "quantity",
"value": "25"
},
{
"name": "price",
"value": "9.00"
},
{
"name": "name",
"value": "Widgets, special discount price"
},
{
"versions": [
{
"name": "amount",
"value": "687.50",
"timestamp": 0,
"sourceId": "LineItemAmountCalculator",
"source": "CALCULATED",
"sourceVid": []
}
],
"value": "687.50",
"timestamp": 0,
"source": "CALCULATED",
"sourceId": "LineItemAmountCalculator"
},
{
"versions": [
{
"name": "quantity",
"value": "25",
"timestamp": 1525369755209,
"source": "API",
"sourceVid": []
}
],
"value": "25",
"timestamp": 1525369755209,
"source": "API",
"sourceId": null
},
{
"versions": [
{
"name": "hs_lastmodifieddate",
"value": "0",
"timestamp": 0,
"source": "CALCULATED",
"sourceVid": []
}
],
"value": "0",
"timestamp": 0,
"source": "CALCULATED",
"sourceId": null
},
{
"versions": [
{
"name": "price",
"value": "27.50",
"timestamp": 1525299376761,
"source": "API",
"sourceVid": []
}
],
"value": "27.50",
"timestamp": 1525299376761,
"source": "API",
"sourceId": null
},
{
"versions": [
{
"name": "name",
"value": "A custom name for the product for this line item.",
"timestamp": 1525369755209,
"source": "API",
"sourceVid": []
}
],
"value": "A custom name for the product for this line item.",
"timestamp": 1525369755209,
"source": "API",
"sourceId": null
},
{
"versions": [
{
"name": "createdate",
"value": "0",
"timestamp": 0,
"source": "API",
"sourceVid": []
}
],
"value": "0",
"timestamp": 0,
"source": "API",
"sourceId": null
},
{
"versions": [
{
"name": "description",
"value": "A description of this product.",
"timestamp": 1525299376761,
"source": "API",
"sourceVid": []
}
],
"value": "A description of this product.",
"timestamp": 1525299376761,
"source": "API",
"sourceId": null
},
{
"versions": [
{
"name": "hs_product_id",
"value": "1645342",
"timestamp": 1525369755209,
"source": "API",
"sourceVid": []
}
],
"value": "1645342",
"timestamp": 1525369755209,
"source": "API",
"sourceId": null
},
{
"versions": [
{
"name": "recurringbillingfrequency",
"value": "quarterly",
"timestamp": 1525299376761,
"source": "API",
"sourceVid": []
}
],
"value": "quarterly",
"timestamp": 1525299376761,
"source": "API",
"sourceId": null
},
{
"versions": [
{
"name": "amount",
"value": "-275.00",
"timestamp": 0,
"sourceId": "LineItemAmountCalculator",
"source": "CALCULATED",
"sourceVid": []
}
],
"value": "-275.00",
"timestamp": 0,
"source": "CALCULATED",
"sourceId": "LineItemAmountCalculator"
},
{
"versions": [
{
"name": "quantity",
"value": "25",
"timestamp": 1525369755209,
"source": "API",
"sourceVid": []
}
],
"value": "25",
"timestamp": 1525369755209,
"source": "API",
"sourceId": null
},
{
"versions": [
{
"name": "hs_lastmodifieddate",
"value": "0",
"timestamp": 0,
"source": "CALCULATED",
"sourceVid": []
}
],
"value": "0",
"timestamp": 0,
"source": "CALCULATED",
"sourceId": null
},
{
"versions": [
{
"name": "price",
"value": "9.00",
"timestamp": 1525369755209,
"source": "API",
"sourceVid": []
}
],
"value": "9.00",
"timestamp": 1525369755209,
"source": "API",
"sourceId": null
},
{
"versions": [
{
"name": "name",
"value": "Widgets, special discount price",
"timestamp": 1525369755209,
"source": "API",
"sourceVid": []
}
],
"value": "Widgets, special discount price",
"timestamp": 1525369755209,
"source": "API",
"sourceId": null
},
{
"versions": [
{
"name": "createdate",
"value": "0",
"timestamp": 0,
"source": "API",
"sourceVid": []
}
],
"value": "0",
"timestamp": 0,
"source": "API",
"sourceId": null
},
{
"versions": [
{
"name": "discount",
"value": "20",
"timestamp": 1525292253568,
"source": "API",
"sourceVid": []
}
],
"value": "20",
"timestamp": 1525292253568,
"source": "API",
"sourceId": null
},
{
"versions": [
{
"name": "description",
"value": "A description of yet another product.",
"timestamp": 1525289943771,
"source": "API",
"sourceVid": []
}
],
"value": "A description of yet another product.",
"timestamp": 1525289943771,
"source": "API",
"sourceId": null
},
{
"versions": [
{
"name": "hs_product_id",
"value": "1645187",
"timestamp": 1525369755209,
"source": "API",
"sourceVid": []
}
],
"value": "1645187",
"timestamp": 1525369755209,
"source": "API",
"sourceId": null
},
{
"versions": [
{
"name": "recurringbillingfrequency",
"value": "annually",
"timestamp": 1525289943771,
"source": "API",
"sourceVid": []
}
],
"value": "annually",
"timestamp": 1525289943771,
"source": "API",
"sourceId": null
}
]v1
Update a group of line items
Update a group of existing line items. Up to 100 line items can be updated in a single request. The request body will be an array, with each element containing the ID of the line item to update and a list of properties to update for that line item. See the examples for details.
POST
/
crm-objects
/
v1
/
objects
/
line_items
/
batch-create
Update a group of line items
Scope requirements
Scope requirements
レスポンス
200 - application/json
Successful response - Update a group of existing line items
The response is of type object.
最終更新日 2026年4月10日
⌘I